<?php

declare(strict_types=1);

/**
 * This file is part of hyperf-ext/sms.
 *
 * @link     https://github.com/hyperf-ext/sms
 * @contact  eric@zhu.email
 * @license  https://github.com/hyperf-ext/sms/blob/master/LICENSE
 */


use Zyimm\Sms\Drivers\AliyunDriver;
use Zyimm\Sms\Drivers\BaiduCloudDriver;
use Zyimm\Sms\Drivers\HogeDriver;
use Zyimm\Sms\Drivers\HuaweiCloudDriver;
use Zyimm\Sms\Drivers\JuheDataDriver;
use Zyimm\Sms\Drivers\LogDriver;
use Zyimm\Sms\Drivers\LuosimaoDriver;
use Zyimm\Sms\Drivers\QiniuDriver;
use Zyimm\Sms\Drivers\RongCloudDriver;
use Zyimm\Sms\Drivers\RonglianDriver;
use Zyimm\Sms\Drivers\SendCloudDriver;
use Zyimm\Sms\Drivers\SmsBaoDriver;
use Zyimm\Sms\Drivers\TencentCloudDriver;
use Zyimm\Sms\Drivers\TwilioDriver;
use Zyimm\Sms\Drivers\UCloudDriver;
use Zyimm\Sms\Drivers\YunpianDriver;
use Zyimm\Sms\Drivers\YunxinDriver;
use Zyimm\Sms\Strategies\OrderStrategy;

return [
    'timeout' => 5.0,

    'default' => [
        'strategy' => OrderStrategy::class,
        'senders'  => ['hoge'],
    ],

    'senders'                      => [
        'aliyun' => [
            'driver' => AliyunDriver::class,
            'config' => [
                'access_key_id'     => '',
                'access_key_secret' => '',
                'sign_name'         => '',
            ],
        ],

        'baidu_cloud' => [
            'driver' => BaiduCloudDriver::class,
            'config' => [
                'ak'        => '',
                'sk'        => '',
                'invoke_id' => '',
                'domain'    => '',
            ],
        ],

        'huawei_cloud' => [
            'driver' => HuaweiCloudDriver::class,
            'config' => [
                'endpoint'   => '',
                'app_key'    => '',
                'app_secret' => '',
                'from'       => [
                    'default' => '',
                    // 'another' => '',
                ],
            ],
        ],

        'juhe_data' => [
            'driver' => JuheDataDriver::class,
            'config' => [
                'app_key' => '',
            ],
        ],

        'luosimao' => [
            'driver' => LuosimaoDriver::class,
            'config' => [
                'api_key' => '',
            ],
        ],

        'qiniu' => [
            'driver' => QiniuDriver::class,
            'config' => [
                'secret_key' => '',
                'access_key' => '',
            ],
        ],

        'rong_cloud' => [
            'driver' => RongCloudDriver::class,
            'config' => [
                'app_key'    => '',
                'app_secret' => '',
            ],
        ],

        'ronglian' => [
            'driver' => RonglianDriver::class,
            'config' => [
                'app_id'         => '',
                'account_sid'    => '',
                'account_token'  => '',
                'is_sub_account' => false,
            ],
        ],

        'send_cloud' => [
            'driver' => SendCloudDriver::class,
            'config' => [
                'sms_user'  => '',
                'sms_key'   => '',
                'timestamp' => false,
            ],
        ],

        'sms_bao' => [
            'driver' => SmsBaoDriver::class,
            'config' => [
                'user'     => '',
                'password' => '',
            ],
        ],

        'tencent_cloud' => [
            'driver' => TencentCloudDriver::class,
            'config' => [
                'sdk_app_id' => '',
                'secret_id'  => '',
                'secret_key' => '',
                'sign'       => null,
                'from'       => [ // sender_id
                    'default' => '',
                    // 'another' => '',
                ],
            ],
        ],

        'twillo' => [
            'driver' => TwilioDriver::class,
            'config' => [
                'account_sid' => '',
                'token'       => '',
                'from'        => [
                    'default' => '',
                    // 'another' => '',
                ],
            ],
        ],

        'ucloud' => [
            'driver' => UCloudDriver::class,
            'config' => [
                'private_key' => '',
                'public_key'  => '',
                'sig_content' => '',
                'project_id'  => '',
            ],
        ],

        'yunpian' => [
            'driver' => YunpianDriver::class,
            'config' => [
                'api_key'   => '',
                'signature' => '',
            ],
        ],

        'yunxin' => [
            'driver' => YunxinDriver::class,
            'config' => [
                'app_key'     => '',
                'app_secret'  => '',
                'code_length' => 4,
                'need_up'     => false,
            ],
        ],

        'log'  => [
            'driver' => LogDriver::class,
            'config' => [
                'name'  => 'sms.local',
                'group' => 'default',
            ],
        ],
        'hoge' => [
            'driver' => HogeDriver::class,
            'config' => [
                'sms_api_url' => '',
                'sms_appid'   => '',
                'sms_appkey'  => '',
                'sms_sign'    => ''
            ],
        ]
    ],
    'default_mobile_number_region' => 'CN',
];
