<?php

declare(strict_types=1);

namespace Zyimm\Sms\Exceptions;

use Psr\Http\Message\ResponseInterface;
use RuntimeException;
use Throwable;

class DriverErrorException extends RuntimeException
{
    /**
     * @var ResponseInterface
     */
    public ResponseInterface $response;

    public function __construct(string $message, $code = null, ResponseInterface $response = null, Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);

        $this->response = $response;
    }

    final public function getResponse(): ResponseInterface
    {
        return $this->response;
    }
}
