<?php

declare(strict_types=1);

namespace Zyimm\Sms\Exceptions;

use RuntimeException;
use Throwable;

class StrategicallySendMessageException extends RuntimeException
{
    protected array $stack = [];

    public function __construct($message, Throwable $throwable)
    {
        parent::__construct($message, $throwable->getCode());

        $this->appendStack($throwable);
    }

    public function appendStack(Throwable $throwable)
    {
        $this->stack[] = $throwable;
    }

    /**
     * @return Throwable[]
     */
    public function getStack(): array
    {
        return $this->stack;
    }
}
